ru.bitel.bgbilling.modules.mobile.server.bean

## Class AbstractAction

- java.lang.Object
- - ru.bitel.bgbilling.modules.mobile.server.bean.AbstractAction

-     public abstract class AbstractAction
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `action`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `actionMap` Мап акшена, он входит в dataMap, в большенстве случаев использовать его для передачи данных
    `protected java.sql.Connection` | `con`
    `protected ActionContext` | `context`
    `protected Contract` | `contract`
    `protected int` | `contractId`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `dataMap` Мап запроса, используется в редких случаях на прямую
    `protected int` | `moduleId`
    `protected ParameterMap` | `moduleSetup`
    `protected ParameterMap` | `req`
    `protected Setup` | `setup`
    `protected int` | `userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate(java.lang.String key, java.util.Date def)`
    `void` | `setContext(ActionContext context, Contract contract, java.util.Map<java.lang.String,java.lang.String> requestParamsMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userId

          protected int userId

    - #### moduleId

          protected int moduleId

    - #### contractId

          protected int contractId

    - #### action

          protected java.lang.String action

    - #### contract

          protected Contract contract

    - #### con

          protected java.sql.Connection con

    - #### setup

          protected Setup setup

    - #### req

          protected ParameterMap req

    - #### context

          protected ActionContext context

    - #### moduleSetup

          protected ParameterMap moduleSetup

    - #### dataMap

          protected java.util.Map<java.lang.String,java.lang.Object> dataMap

      Мап запроса, используется в редких случаях на прямую

    - #### actionMap

          protected java.util.Map<java.lang.String,java.lang.Object> actionMap

      Мап акшена, он входит в dataMap, в большенстве случаев использовать его для передачи данных

  - ### Constructor Detail

    - #### AbstractAction

          public AbstractAction()

  - ### Method Detail

    - #### setContext

          public void setContext(ActionContext context,
                                 Contract contract,
                                 java.util.Map<java.lang.String,java.lang.String> requestParamsMap)

    - #### getDate

          public java.util.Date getDate(java.lang.String key,
                                        java.util.Date def)